DrawRDBPrimaryKeyVertex
Keywords: uk.ac.ic.doc.automed.editor.drawables.DrawRDBPrimaryKeyVertex class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.editor.drawables
Class DrawRDBPrimaryKeyVertex

    java.lang.Object
      uk.ac.ic.doc.automed.editor.DrawVertex
          uk.ac.ic.doc.automed.editor.DefaultDrawConstraintVertex
              uk.ac.ic.doc.automed.editor.drawables.DrawRDBForeignKeyVertex
                  uk.ac.ic.doc.automed.editor.drawables.DrawRDBPrimaryKeyVertex

All Implemented Interfaces:
  Drawable, DrawableVertex

    public class DrawRDBPrimaryKeyVertex

extends DrawRDBForeignKeyVertex

Field Summary

Fields inherited from class uk.ac.ic.doc.automed.editor.drawables.DrawRDBForeignKeyVertex
`keyName`

Fields inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`bounds, dashedStroke, dependent, ep, fm, p, standardStroke, symbolHeight, symbolWidth, text, textHeight, textWidth, thickness, xInset, yInset, zeroOffset`

Constructor Summary
`DrawRDBPrimaryKeyVertex(EditorPanel ep, Positionable p, Positionable[] d)`

Method Summary
`void` | `paintComponent(java.awt.Graphics2D g)` Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected

Methods inherited from class uk.ac.ic.doc.automed.editor.drawables.DrawRDBForeignKeyVertex
`getConnectionPoint, paintSymbol, paintText`

Methods inherited from class uk.ac.ic.doc.automed.editor.DefaultDrawConstraintVertex
`getBounds`

Methods inherited from class uk.ac.ic.doc.automed.editor.DrawVertex
`getCentre, getCentreOffset, getConnectionPointMovableCentre, getConnectsTo, getPositionable, intersectLine, setText`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DrawRDBPrimaryKeyVertex

    public DrawRDBPrimaryKeyVertex(EditorPanel ep,
                                   Positionable p,
                                   Positionable[] d)

Method Detail

### paintComponent

    public void paintComponent(java.awt.Graphics2D g)

  Modify the basic drawing of arcs to set the arc colour based on the foreground colour of the first positionable connected

  Specified by:
    `paintComponent` in interface `Drawable`
  Overrides:
    `paintComponent` in class `DrawRDBForeignKeyVertex`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD